Posts by __.__

    Active: failed (Result: signal) since Wed 2020-04-22 17:35:15 CEST; 25ms ago

    Docs: man:lircd(8)

    http://lirc.org/html/configure.html

    Process: 5253 ExecStart=/usr/sbin/lircd --nodaemon (code=killed, signal=SEGV)

    Main PID: 5253 (code=killed, signal=SEGV)


    Apr 22 17:35:15 raspberrypi systemd[1]: Starting Flexible IR remote input/output application support...

    Apr 22 17:35:15 raspberrypi lircd[5253]: Warning: cannot open /etc/lirc/lirc_options.conf

    Apr 22 17:35:15 raspberrypi lircd-0.10.1[5253]: Info: lircd: Opening log, level: Info

    Apr 22 17:35:15 raspberrypi lircd-0.10.1[5253]: Notice: Version: lircd 0.10.1

    Apr 22 17:35:15 raspberrypi lircd-0.10.1[5253]: Notice: System info: Linux raspberrypi 4.19.75-v7l+ #1270 SMP Tue Sep 24 18:51:41 BST 2019 armv7l GNU/Linux

    Apr 22 17:35:15 raspberrypi systemd[1]: lircd.service: Main process exited, code=killed, status=11/SEGV

    Apr 22 17:35:15 raspberrypi systemd[1]: lircd.service: Failed with result 'signal'.

    Apr 22 17:35:15 raspberrypi systemd[1]: Failed to start Flexible IR remote input/output application support.

    dpkg: Fehler beim Bearbeiten des Paketes lirc (--configure):

    »installiertes lirc-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück

    Trigger für man-db (2.8.5-2) werden verarbeitet ...

    Fehler traten auf beim Bearbeiten von:

    lirc

    E: Sub-process /usr/bin/dpkg returned an error code (1)



    Diese Fehler kommen dauernd überall

    Es gibt (aktuell) weder das eine noch das andere Paket im offiziellen Repository...Nur diese hier.

    Code
    python-pylirc - Python bindings for Linux Infra-red Remote Control (LIRC) support

    Da hat die installation nicht geklappt:



    sudo apt-get reinstall python-pylirc

    Paketlisten werden gelesen... Fertig

    Abhängigkeitsbaum wird aufgebaut.

    Statusinformationen werden eingelesen.... Fertig

    Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:

    diffstat guile-2.2-libs libapt-pkg-perl libasync-mergepoint-perl

    libb-hooks-endofscope-perl libcapture-tiny-perl libcgi-fast-perl

    libcgi-pm-perl libclass-accessor-perl libclass-inspector-perl libclone-perl

    libcommon-sense-perl libconst-fast-perl libcontextual-return-perl

    libconvert-binhex-perl libdata-optlist-perl libdigest-bubblebabble-perl

    libemail-valid-perl libexporter-tiny-perl libfcgi-perl libfile-basedir-perl

    libfont-afm-perl libfuture-perl libgc1c2 libgetopt-long-descriptive-perl

    libhttp-tiny-multipart-perl libio-prompter-perl libio-stringy-perl

    libipc-system-simple-perl libmodule-implementation-perl libnet-dns-perl

    libnet-domain-tld-perl libnet-ip-perl libparams-util-perl

    libparams-validate-perl libsub-exporter-perl libsub-install-perl

    libvariable-magic-perl libwant-perl

    Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.

    0 aktualisiert, 0 neu installiert, 1 erneut installiert, 0 zu entfernen und 280 nicht aktualisiert.

    1 nicht vollständig installiert oder entfernt.

    Es müssen noch 0 B von 6.164 B an Archiven heruntergeladen werden.

    Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.

    (Lese Datenbank ... 161938 Dateien und Verzeichnisse sind derzeit installiert.)

    Vorbereitung zum Entpacken von .../python-pylirc_0.0.5-3.1_armhf.deb ...

    Entpacken von python-pylirc (0.0.5-3.1) über (0.0.5-3.1) ...

    python-pylirc (0.0.5-3.1) wird eingerichtet ...

    lirc (0.10.1-5.2) wird eingerichtet ...

    Job for lircd.service failed because a fatal signal was delivered to the control process.

    See "systemctl status lircd.service" and "journalctl -xe" for details.

    invoke-rc.d: initscript lircd, action "start" failed.

    ● lircd.service - Flexible IR remote input/output application support

    Loaded: loaded (/lib/systemd/system/lircd.service; disabled; vendor preset: enabled)

    Active: failed (Result: signal) since Wed 2020-04-22 17:32:26 CEST; 24ms ago

    Docs: man:lircd(8)

    http://lirc.org/html/configure.html

    Process: 4983 ExecStart=/usr/sbin/lircd --nodaemon (code=killed, signal=SEGV)

    Main PID: 4983 (code=killed, signal=SEGV)


    Apr 22 17:32:26 raspberrypi systemd[1]: Starting Flexible IR remote input/output application support...

    Apr 22 17:32:26 raspberrypi lircd[4983]: Warning: cannot open /etc/lirc/lirc_options.conf

    Apr 22 17:32:26 raspberrypi lircd-0.10.1[4983]: Info: lircd: Opening log, level: Info

    Apr 22 17:32:26 raspberrypi lircd-0.10.1[4983]: Notice: Version: lircd 0.10.1

    Apr 22 17:32:26 raspberrypi lircd-0.10.1[4983]: Notice: System info: Linux raspberrypi 4.19.75-v7l+ #1270 SMP Tue Sep 24 18:51:41 BST 2019 armv7l GNU/Linux

    Apr 22 17:32:26 raspberrypi systemd[1]: lircd.service: Main process exited, code=killed, status=11/SEGV

    Apr 22 17:32:26 raspberrypi systemd[1]: lircd.service: Failed with result 'signal'.

    Apr 22 17:32:26 raspberrypi systemd[1]: Failed to start Flexible IR remote input/output application support.

    dpkg: Fehler beim Bearbeiten des Paketes lirc (--configure):

    »installiertes lirc-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück

    Fehler traten auf beim Bearbeiten von:

    lirc

    E: Sub-process /usr/bin/dpkg returned an error code (1)





    Puh. Das sieht allen in allem nach einem ziemlich vergurkten Python aus. Wenn du kannst, installier das mal alles neu.

    Okay wie installier ich python neu?

    Ich habs jetzt mit alen möglichen befehlen versucht aber ich bekomme immer den selben Fehler


    sudo -H pip3 install --upgrade pip

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/pip/_vendor/__init__.py", line 33, in vendored

    __import__(vendored_name, globals(), locals(), level=0)

    ModuleNotFoundError: No module named 'pip._vendor.lockfile'


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/bin/pip3", line 9, in <module>

    from pip._internal import main

    File "/usr/lib/python3/dist-packages/pip/_internal/__init__.py", line 19, in <module>

    from pip._vendor.urllib3.exceptions import DependencyWarning

    File "/usr/lib/python3/dist-packages/pip/_vendor/__init__.py", line 69, in <module>

    vendored("lockfile")

    File "/usr/lib/python3/dist-packages/pip/_vendor/__init__.py", line 36, in vendored

    __import__(modulename, globals(), locals(), level=0)

    File "<frozen importlib._bootstrap>", line 983, in _find_and_load

    File "<frozen importlib._bootstrap>", line 963, in _find_and_load_unlocked

    File "<frozen importlib._bootstrap>", line 906, in _find_spec

    File "<frozen importlib._bootstrap_external>", line 1280, in find_spec

    File "<frozen importlib._bootstrap_external>", line 1254, in _get_spec

    File "<frozen importlib._bootstrap_external>", line 1235, in _legacy_get_spec

    File "<frozen importlib._bootstrap>", line 441, in spec_from_loader

    File "<frozen importlib._bootstrap_external>", line 594, in spec_from_file_location

    File "/usr/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl/lockfile/__init__.py", line 303


    ^

    SyntaxError: EOF while scanning triple-quoted string literal

    Yey auch beim upgraden gibts Probleme....


    pip install --upgrade pip==20.0.2




    Traceback (most recent call last):

    File "/usr/bin/pip", line 9, in <module>

    from pip._internal import main

    File "/usr/lib/python2.7/dist-packages/pip/_internal/__init__.py", line 19, in <module>

    from pip._vendor.urllib3.exceptions import DependencyWarning

    File "/usr/lib/python2.7/dist-packages/pip/_vendor/__init__.py", line 64, in <module>

    vendored("cachecontrol")

    File "/usr/lib/python2.7/dist-packages/pip/_vendor/__init__.py", line 36, in vendored

    __import__(modulename, globals(), locals(), level=0)

    File "/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/__init__.py", line 9, in <module>

    File "/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/wrapper.py", line 1, in <module>

    File "/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py", line 4, in <module>

    File "/usr/share/python-wheels/requests-2.21.0-py2.py3-none-any.whl/requests/__init__.py", line 44, in <module>

    File "/usr/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl/chardet/__init__.py", line 20, in <module>

    File "/usr/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl/chardet/universaldetector.py", line 48, in <module>

    File "/usr/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl/chardet/sbcsgroupprober.py", line 31, in <module>

    zlib.error: Error -3 while decompressing data: invalid distance too far back

    pip3 install python3-lirc

    Traceback (most recent call last):

    File "/usr/bin/pip3", line 9, in <module>

    from pip._internal import main

    File "/usr/lib/python3/dist-packages/pip/_internal/__init__.py", line 40, in <module>

    from pip._internal.cli.autocompletion import autocomplete

    File "/usr/lib/python3/dist-packages/pip/_internal/cli/autocompletion.py", line 8, in <module>

    from pip._internal.cli.main_parser import create_main_parser

    File "/usr/lib/python3/dist-packages/pip/_internal/cli/main_parser.py", line 12, in <module>

    from pip._internal.commands import (

    File "/usr/lib/python3/dist-packages/pip/_internal/commands/__init__.py", line 6, in <module>

    from pip._internal.commands.completion import CompletionCommand

    File "/usr/lib/python3/dist-packages/pip/_internal/commands/completion.py", line 6, in <module>

    from pip._internal.cli.base_command import Command

    File "/usr/lib/python3/dist-packages/pip/_internal/cli/base_command.py", line 18, in <module>

    from pip._internal.download import PipSession

    File "/usr/lib/python3/dist-packages/pip/_internal/download.py", line 15, in <module>

    from pip._vendor import requests, six, urllib3

    ImportError: cannot import name 'requests' from 'pip._vendor' (/usr/lib/python3/dist-packages/pip/_vendor/__init__.py)




    Schon wieder

    Ich habe jetzt versucht das zu installieren mit dem Befehl der auf der github seite war:


    pip install python3-lirc

    Traceback (most recent call last):

    File "/usr/bin/pip", line 9, in <module>

    from pip._internal import main

    File "/usr/lib/python2.7/dist-packages/pip/_internal/__init__.py", line 40, in <module>

    from pip._internal.cli.autocompletion import autocomplete

    File "/usr/lib/python2.7/dist-packages/pip/_internal/cli/autocompletion.py", line 8, in <module>

    from pip._internal.cli.main_parser import create_main_parser

    File "/usr/lib/python2.7/dist-packages/pip/_internal/cli/main_parser.py", line 12, in <module>

    from pip._internal.commands import (

    File "/usr/lib/python2.7/dist-packages/pip/_internal/commands/__init__.py", line 6, in <module>

    from pip._internal.commands.completion import CompletionCommand

    File "/usr/lib/python2.7/dist-packages/pip/_internal/commands/completion.py", line 6, in <module>

    from pip._internal.cli.base_command import Command

    File "/usr/lib/python2.7/dist-packages/pip/_internal/cli/base_command.py", line 18, in <module>

    from pip._internal.download import PipSession

    File "/usr/lib/python2.7/dist-packages/pip/_internal/download.py", line 15, in <module>

    from pip._vendor import requests, six, urllib3

    ImportError: cannot import name requests



    Was ist das jetzt schon wieder?

    Hi,

    Ich bin noch nicht übermäßig erfahren in der Programmierung mit Python und habe mir ein Sensor Kit von Sunfounder zugelegt (Sensor Kit V2.0 für Raspberry Pi). Momentan versuche ich mit der IR Fernbedienung und dem zugehörigen empfänger ein Python Projekt nachzubauen, dass in der eher mittelmäßigen Anleitung beschrieben ist. Dafür muss das pylirc Modul installiert werden. Ich werde langsam wahnsinnig:@weil ich es einfach nicht hinkriege dieses modul auf irgendeinem wege zu installieren. In der beigelegten Anleitung stehen Befehle die versuchen eine Datei von einem Server herunterzuladen, der jedoch nur einen error ausspuckt:-/ .Ich habe jetzt den ganzen Nachmittag hier gesessen und nur versucht dieses Beispielprogramm auszuführen was Dabei war...:wallbash:.Das scheiterte 3 Stunden lang daran dass das Modul nicht gefunden wurde. Jetzt, nachdem ich nochmal die Anweisungen aus einer anderen Quelle befolgt habe, heisst es:


    Traceback (most recent call last):

    File "/home/pi/SunFounder_SensorKit_for_RPi2-master/Python/23_ircontrol.py", line 3, in <module>

    import pylirc

    ImportError: /usr/local/lib/python3.7/dist-packages/pylirc.cpython-37m-arm-linux-gnueabihf.so: undefined symbol: Py_InitModule


    Ich bekomme langsam einen schlechten eindruck von der Firma, da das letzte Beispielprogramm auch schon nicht lief obwohl ich genau die Anweisungen der Anleitung befolgt hatte...

    Bitte helft mir sonst werde ich demnächst wahnsinnig....:)